/*
 * Toolbar
 *
 * Index
 * - Container
 * - Content
 * - Buttons
 * - Colors
 */

:host {
  position: relative;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  width: 100%;
  height: 72px;
  contain: content;
  padding: var(--road-spacing-04);
  color: var(--road-on-surface);
  background: var(--road-surface);
  border-bottom: 1px solid var(--road-outline-weak);
}

/* CONTAINER
 -------------------- */

.toolbar-container {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  min-height: 3.73rem;
  contain: content;
  overflow: hidden;
}

.toolbar-container-content-left {
  display: flex;
  flex: 1;
}

.toolbar-container-content-right {
  display: none;
}


@media (min-width: 1200px) {

  .toolbar-container-content-right {
    display: flex;
    flex: auto;
  }

}




/* TOOLBAR TITLE CONTAINER
 -------------------- */

.toolbar-title-container {
  position: relative;
  top: 0;
  left: 0;
  display: flex;
  flex: 1;
  align-items: center;
  width: 100%;
  height: 100%;
  text-align: center;
}

/* TOOLBAR TITLE
 -------------------- */

.toolbar-title {
  display: block;
  width: 100%;
  font-size: var(--road-font-size-18);
  font-weight: 700;
  text-align: left;
  text-overflow: ellipsis;
  white-space: nowrap;
  pointer-events: auto;
}

@media (min-width: 1200px) {

  :host(.toolbar) {
    display: flex;
    align-items: center;
    width: calc(100% - 260px);
    justify-self: flex-end;
    height: 80px;
    padding: var(--road-spacing-05);
  }

  :host(.toolbar-compact) {
    display: flex;
    width: calc(100% - 5.5rem);
    justify-self: flex-end;
    height: 80px;
    padding: var(--road-spacing-05);
  }

  .toolbar-title {
    font-size: var(--road-font-size-21);
    text-align: center;
  }
}

/* CONTENT
 -------------------- */

.toolbar-content {
  display: none;
}

@media (min-width: 1200px) {

  .toolbar-content {
    display: flex;
    flex: 2;
    min-width: 0;
    max-width: 100%;
  }

}

/* TOOLBAR LOGO
 -------------------- */

.toolbar .logo {
  position: relative;
  z-index: 1;
  padding-left: 1rem;
  margin-bottom: 0;
  font-size: var(--road-font-size-14);
  font-weight: 400;
}

.toolbar .app-name {
  margin-left: 1rem;
  font-size: var(--road-font-size-20);
  font-weight: 700;
}

/* BUTTONS
 -------------------- */

::slotted([slot="start"]) {
  --margin-bottom: 0;
  --padding-start: 0.5rem;
  --padding-end: 0.5rem;

  align-self: auto;
  margin-right: var(--road-spacing-05);
  font-size: var(--road-font-size-14);
  font-weight: 400;
  border-right: 1px solid var(--road-outline-weak);
  border-radius: 0;
}

::slotted([slot="primary"]) {
  --margin-bottom: 0;
  --padding-start: 0.5rem;
  --padding-end: 0.5rem;

  flex: 1;
  align-self: auto;
}

::slotted([slot="end"]) {
  --margin-bottom: 0;
  --padding-start: 0.5rem;
  --padding-end: 0.5rem;

  flex: 1;
  padding-left: var(--road-spacing-03);
  margin-left: var(--road-spacing-03);
  font-size: var(--road-font-size-14);
  font-weight: 400;
  border-left: 1px solid var(--road-outline-weak);
  border-radius: 0;
}

::slotted([slot="secondary"]) {
  --margin-bottom: 0;
  --padding-start: 0.5rem;
  --padding-end: 0.5rem;

  flex: 1;
  padding-left: var(--road-spacing-03);
  margin-left: var(--road-spacing-03);
  font-size: var(--road-font-size-14);
  font-weight: 400;
  border-radius: 0;
}

/* COLORS
 -------------------- */

:host(.toolbar-primary) {
  color: var(--road-on-header-surface);
  background: var(--road-header-surface);
}

:host(.toolbar-secondary) {
  color: var(--road-on-secondary);
  background: var(--road-secondary);
}
